# Powercollect

Collect power data of Eastron SDM-630 power meter over modbus-tcp and store
them in InfluxDB

## Installation

```shell
make install
```

Default install location for the executable is `/usr/bin`. This can be
modyfied by changing the `PREFIX` variable.

```shell
PREFIX=/usr/local/bin make install
```

## Uninstallation

```shell
make uninstall
```

When `PREFIX` was modyfied for installation it needs to be changed for
uninstalling as well.

```shell
PREFIX=/usr/local/bin make uninstall
```

## Configuration

Default configuration file is installed in `/etc/powercollect/config.json`

## systemd service

```shell
systemctl enable powercollect.service
systemctl start powercollect.service
```
